## android-platform-art 8.1.0+r23

=== debian/changelog ===
android-platform-art (8.1.0+r23-1) unstable; urgency=low

  * Initial release (Closes: #913785)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Tue, 30 Oct 2018 15:33:48 +0800
