=== debian/control ===
Source: android-platform-art
Section: devel
Priority: optional
Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
Uploaders: Kai-Chung Yan <seamlikok@gmail.com>
Build-Depends:
 android-libbacktrace-dev (>= 1:8.1.0+r23) [amd64 i386 armel armhf arm64 mips mipsel mips64el],
 android-libbase-dev (>= 1:8.1.0+r23) [amd64 i386 armel armhf arm64 mips mipsel mips64el],
 android-libcutils-dev (>= 1:8.1.0+r23-3~) [amd64 i386 armel armhf arm64 mips mipsel mips64el],
 android-libnativebridge-dev (>= 1:8.1.0+r23) [amd64 i386 armel armhf arm64 mips mipsel mips64el],
 android-libnativeloader-dev (>= 1:8.1.0+r23) [amd64 i386 armel armhf arm64 mips mipsel mips64el],
 android-libutils-dev (>= 1:8.1.0+r23) [amd64 i386 armel armhf arm64 mips mipsel mips64el],
 android-libziparchive-dev (>= 1:8.1.0+r23) [amd64 i386 armel armhf arm64 mips mipsel mips64el],
 clang,
 debhelper (>= 11~),
 dh-exec,
 libicu-dev [amd64 i386 armel armhf arm64 mips mipsel mips64el],
 liblz4-dev [amd64 i386 armel armhf arm64 mips mipsel mips64el],
 python3 [amd64 i386 armel armhf arm64 mips mipsel mips64el],
 valgrind [amd64 i386 armel armhf arm64 mips mipsel mips64el],
 zlib1g-dev [amd64 i386 armel armhf arm64 mips mipsel mips64el]
Standards-Version: 4.2.1
Homepage: https://android.googlesource.com/platform/art
Vcs-Git: https://salsa.debian.org/android-tools-team/android-platform-art.git
Vcs-Browser: https://salsa.debian.org/android-tools-team/android-platform-art

Package: dexdump
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Displays information about Android DEX files
 The `dexdump` tool is intended to mimic `objdump`. When possible, use similar
 command-line arguments.
 .
 This is a re-implementation of the original `dexdump` utility that was
 based on Dalvik functions in `libdex` into a new `dexdump` that is now
 based on ART functions in `libart` instead. The output is very similar to
 to the original for correct DEX files. Error messages may differ, however.
 Also, ODEX files are no longer supported.

Package: dmtracedump
Architecture: any
Multi-Arch: foreign
Depends: graphviz, ${shlibs:Depends}, ${misc:Depends}
Description: Generates graphical call-stack diagrams from Android trace logs
 `dmtracedump` generates the call stack data as a tree diagram, where each node
 represents a method call. It shows call flow (from parent node to child nodes)
 using arrows.

Package: android-libart
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Android Runtime
 Android Runtime (ART) is the managed runtime used by applications and some
 system services on Android. ART and its predecessor Dalvik were originally
 created specifically for the Android project. ART as the runtime executes the
 Dalvik Executable format and DEX bytecode specification.
 .
 This package provides `libart` and `libsigchain`.
 .
 This library is only used by Android SDK and uses a customized RPATH.

Package: dexlist
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Lists all methods in all concrete classes in Android DEX files
 This is a re-implementation of the original `dexlist` utility that was
 based on Dalvik functions in `libdex` into a new `dexlist` that is now
 based on ART functions in `libart` instead. The output is very similar to
 to the original for correct DEX files. Error messages may differ, however.
 Also, ODEX files are no longer supported.
