=== debian/rules ===
--- 
+++ 
@@ -2,24 +2,21 @@
 
 include /usr/share/dpkg/architecture.mk
 
+export CC = clang
+export CXX = clang++
 export DEB_HOST_MULTIARCH
 export DEB_CFLAGS_MAINT_APPEND = -fPIC
 export DEB_CXXFLAGS_MAINT_APPEND = -fPIC
-export DEB_LDFLAGS_MAINT_APPEND = -fPIC
-
-DEB_CPPFLAGS_MAINT_APPEND += \
+export DEB_CPPFLAGS_MAINT_APPEND = \
   -DNDEBUG \
   -I/usr/include/android \
   -UDEBUG
-# Clang defines a macro `mips = 1` which disrupts the namespace declaration `art::mips`
-DEB_CPPFLAGS_MAINT_APPEND += -Umips
-export DEB_CPPFLAGS_MAINT_APPEND
+export DEB_LDFLAGS_MAINT_APPEND = -fPIC
 
 COMPONENTS_ANY = debian/out/dmtracedump
 COMPONENTS_AOSP = debian/out/dexdump debian/out/dexlist
 
-# MIPS is left out because ART only supports MIPSr6 while Debian is by default MIPSr2
-ifeq ($(filter amd64 i386 armel armhf arm64,$(DEB_HOST_ARCH)),)
+ifeq ($(filter amd64 i386 armel armhf arm64 mips mipsel mips64el,$(DEB_HOST_ARCH)),)
   COMPONENTS += $(COMPONENTS_ANY)
 else
   COMPONENTS += $(COMPONENTS_ANY) $(COMPONENTS_AOSP)
