## android-platform-art 10.0.0+r36

=== debian/changelog ===
android-platform-art (10.0.0+r36-3) unstable; urgency=medium

  * Team upload.

  [ Roger Shimizu ]
  * debian/*.mk:
    - Remove runtime library path: debian/out, which is only needed
      after building.
    - Remove LDFLAGS=-nodefaultlibs for library.
  * debian/rules:
    - Add LD_LIBRARY_PATH=debian/out for help2man calling.

  [ Hans-Christoph Steiner ]
  * mv man page gen to dh_auto_build and respect arches

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 07 Jan 2021 13:08:42 +0100

android-platform-art (10.0.0+r36-2) unstable; urgency=medium

  * Team upload.
  * debian/*.mk:
    - Add necessary linking libraries to fix ftbfs issue.

 -- Roger Shimizu <rosh@debian.org>  Wed, 06 Jan 2021 19:29:23 +0900

android-platform-art (10.0.0+r36-1) unstable; urgency=medium

  * Team upload.
  * Revert "remove stage1 components"
  * debian/tests:
    - Add "Depends" to each test command.
  * debian/control:
    - Remove building package dexlist/dexdump for armel.
    - Fix package description.
  * debian/*.mk:
    - Remove unnecessary linking dependencies.
    - Add "-nodefaultlibs" to LDFLAGS.
  * lintian-overrides:
    - Rename binary-or-shlib-defines-rpath to custom-library-search-path

 -- Roger Shimizu <rosh@debian.org>  Wed, 06 Jan 2021 00:31:36 +0900

android-platform-art (10.0.0+r36-1~stage1.5) unstable; urgency=medium

  * Team upload.
  * debian/patches:
    - Backport patch from upstream to fix mterp asm build on arm64.
      (Closes: #963058)

 -- Roger Shimizu <rosh@debian.org>  Mon, 04 Jan 2021 16:03:34 +0900

android-platform-art (10.0.0+r36-1~stage1.4) unstable; urgency=medium

  * Team upload.
  * debian/*.mk:
    - "mkdir debian/out" command move to debian/rules.
  * debian/patches:
    - Add patches to fix ftbfs on armhf/arm64.

 -- Roger Shimizu <rosh@debian.org>  Mon, 04 Jan 2021 01:24:17 +0900

android-platform-art (10.0.0+r36-1~stage1.3) unstable; urgency=medium

  * debian/control:
    - Bump B-D android-platform-system-core.
  * debian/patches:
    - Add patch to workaround cacheflush on arm.
  * debian/control:
    - Remove valgrind from B-D.
  * debian/*.mk:
    - Remove duplicated "-fPIC" and "-I/usr/include/android"

 -- Roger Shimizu <rosh@debian.org>  Sat, 02 Jan 2021 01:30:12 +0900

android-platform-art (10.0.0+r36-1~stage1.2) unstable; urgency=low

  * Team upload.
  * d/rules: Exclude building libdexfile_support.so from "any"
    architecture.

 -- Roger Shimizu <rosh@debian.org>  Fri, 01 Jan 2021 01:21:41 +0900

android-platform-art (10.0.0+r36-1~stage1.1) unstable; urgency=low

  * Team upload.

  [ Hans-Christoph Steiner ]
  * add missing art_api headers and .cc files
  * build libdexfile_external and libdexfile_support separately

  [ Roger Shimizu ]
  * Fix ftbfs issues on mips*
  * Use patch from android-platform-system-core to fix non-x86 systems

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 30 Dec 2020 23:15:12 +0100

android-platform-art (10.0.0+r36-1~stage1) unstable; urgency=low

  * Team upload.

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Hans-Christoph Steiner ]
  * New upstream release (Closes: #963058)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 13 Oct 2020 17:10:14 +0200

android-platform-art (8.1.0+r23-4) unstable; urgency=medium

  * Team upload.
  * debian/watch:
    - Remove the unsupported "rename" option.
    - Update rule to get new upstream version.
  * debian/control:
    - Add Rules-Requires-Root: no
    - Add help2man to B-D.
  * debian/rules:
    - Add more security hardening.
    - Use help2man to generate manpages for dexdump, and dmtracedump.

 -- Roger Shimizu <rosh@debian.org>  Sun, 10 May 2020 18:42:38 +0900

android-platform-art (8.1.0+r23-3) unstable; urgency=medium

  * Put all LDFLAGS that link libraries at the end of the command line. This
    fixes FTBFS on Ubuntu because `--as-needed` is used by default.
    (Closes: #916250) Thanks to Logan Rosen.
  * ucontext.patch: Fix a type mismatch causing FTBFS on armhf
  * Use GCC to compile assembly code on armhf as Clang does not support the
    `ADRL` instruction. See <https://bugs.llvm.org/show_bug.cgi?id=24350>.

 -- Kai-Chung Yan <seamlik@debian.org>  Thu, 13 Dec 2018 17:11:09 +0800

android-platform-art (8.1.0+r23-2) unstable; urgency=medium

  * Use my DD account in Uploaders
  * Disable libart and its users on MIPS as ART only supports MIPSr6 while
    Debian is by default MIPSr2
  * Fix FTBFS on i386
  * Use Clang only for libart and its users while GCC for the rest. This allows
    `dmtracedump` to be released on all architectures.

 -- Kai-Chung Yan <seamlik@debian.org>  Thu, 06 Dec 2018 03:40:05 +0800
