=== debian/tests/control ===
Test-Command: 2>&1 dmtracedump |  grep 'Turn on HTML output'
Depends: dmtracedump

# <!stage1>
Tests: dexdump-dexlist
Depends: dexdump, dexlist
