## android-platform-art 11.0.0+r48

=== debian/changelog ===
android-platform-art (11.0.0+r48-5) unstable; urgency=medium

  * Team upload.
  * debian/rules: Add build time test to override_dh_auto_test.
  * debian/watch: Update to handle orig version.
  * debian/control: Update Depends version.
  * debian/rules: Sync with src:android-platform-tools.
  * debian/control: Fix ftbfs on powerpc due to clang.

 -- Roger Shimizu <rosh@debian.org>  Fri, 27 Jan 2023 00:07:55 -0800

android-platform-art (11.0.0+r48-4) unstable; urgency=medium

  [ 殷啟聰 | Kai-Chung Yan ]
  * Remove myself from Uploaders

  [ Jochen Sprickerhof ]
  * Add patch to fix FTBFS (Closes: #1017143)
  * Fix lintian upstream-metadata-field-unknown
  * Disable LTO as the package uses clang and FTBFS (Closes: #1015353)
  * Add myself to Uploaders

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 13 Oct 2022 20:56:25 +0200

android-platform-art (11.0.0+r48-3) unstable; urgency=medium

  * Team upload.
  * Remove embedded unwindstack code.
  * debian/control:
    - Fix multiarch issues

 -- Roger Shimizu <rosh@debian.org>  Tue, 10 May 2022 19:33:56 +0900

android-platform-art (11.0.0+r48-2) unstable; urgency=medium

  * Team upload.
  * Fix ftbfs for armhf
  * debian/control:
    - Revise B-D and Depends for each package.

 -- Roger Shimizu <rosh@debian.org>  Wed, 04 May 2022 22:19:29 +0900

android-platform-art (11.0.0+r48-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 11.0.0+r48
  * Update d/rules and d/*.mk
  * Support nterp *.S asm for x86_64
  * Add DexFile* source to debian/unwindstack

 -- Roger Shimizu <rosh@debian.org>  Wed, 04 May 2022 01:51:47 +0900

android-platform-art (10.0.0+r36-5) unstable; urgency=medium

  * Team upload.
  * Drop dmtracedump (moved to android-platform-tools)
  * Fix compile error

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 05 Apr 2022 13:39:26 +0200

android-platform-art (10.0.0+r36-4) unstable; urgency=medium

  * Team upload.
  * debian/patches:
    - Add patch to fix ftbfs for c++17 (Closes: #983964).

 -- Roger Shimizu <rosh@debian.org>  Sat, 22 Jan 2022 00:26:23 +0900
