## android-platform-art 13.0.0+r63

=== debian/changelog ===
android-platform-art (13.0.0+r63-2) unstable; urgency=medium

  * Team upload.
  * Use clang-15 instead of clang-14 (default) to workaround ftbfs on
    i386.

 -- Roger Shimizu <rosh@debian.org>  Sun, 23 Jul 2023 23:45:41 -0700

android-platform-art (13.0.0+r63-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/patches:
    - Add a missing header to fix ftbfs for gcc-13 (Closes: #1037573).

 -- Roger Shimizu <rosh@debian.org>  Sat, 22 Jul 2023 23:50:23 -0700

android-platform-art (13.0.0+r63-1~exp2) experimental; urgency=medium

  * debian/libart.mk:
    - Normalization and update indent.

 -- Roger Shimizu <rosh@debian.org>  Mon, 17 Jul 2023 00:27:40 -0400

android-platform-art (13.0.0+r63-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release 13.0.0+r63
  * debian/rules: Add update to new upstream by script.
  * debian/patches: Refresh patches.
  * debian/control:
    - Bump up package version of B-D and Depends.
  * debian/libart.mk:
    - Update source file list.

 -- Roger Shimizu <rosh@debian.org>  Fri, 14 Jul 2023 02:14:52 -0400
