=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends:
- android-libbacktrace-dev (>= 1:29) [amd64 i386 armhf arm64],
- android-libcutils-dev (>= 1:29) [amd64 i386 armhf arm64],
- android-libnativehelper-dev (>= 29) [amd64 i386 armhf arm64],
- android-libziparchive-dev (>= 1:29) [amd64 i386 armhf arm64],
- clang [amd64 i386 armel armhf arm64 mipsel mips64el ppc64el s390x ppc64 sparc64 riscv64],
+ android-libbacktrace-dev (>= 1:33) [amd64 i386 armhf arm64],
+ android-libcutils-dev (>= 1:33) [amd64 i386 armhf arm64],
+ android-libnativehelper-dev (>= 33) [amd64 i386 armhf arm64],
+ android-libziparchive-dev (>= 1:33) [amd64 i386 armhf arm64],
+ android-platform-system-core-headers (>= 1:33.0.3-2~) [amd64 i386 armhf arm64],
+ clang-15 [amd64 i386 armel armhf arm64 mipsel mips64el ppc64el s390x ppc64 sparc64 riscv64],
  debhelper-compat (= 12),
  dh-exec,
  help2man,
@@ -26,9 +27,9 @@
 Architecture: amd64 i386 armhf arm64
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
-         android-libbacktrace (>= 1:29),
+         android-libbacktrace (>= 1:33),
          android-libnativeloader (= 1:${binary:Version}),
-         android-libziparchive (>= 1:29),
+         android-libziparchive (>= 1:33),
 Description: Displays information about Android DEX files
  The `dexdump` tool is intended to mimic `objdump`. When possible, use
  similar command-line arguments.
@@ -85,9 +86,9 @@
 Architecture: amd64 i386 armhf arm64
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
-         android-libbacktrace (>= 1:29),
+         android-libbacktrace (>= 1:33),
          android-libnativeloader (= 1:${binary:Version}),
-         android-libziparchive (>= 1:29),
+         android-libziparchive (>= 1:33),
 Description: Lists all methods in all concrete classes in Android DEX files
  This is a re-implementation of the original `dexlist` utility that was
  based on Dalvik functions in `libdex` into a new `dexlist` that is now
