=== debian/rules ===
--- 
+++ 
@@ -22,9 +22,9 @@
 
 export DEB_HOST_MULTIARCH
 
-ifneq (, $(shell which clang))
-  export CC=clang
-  export CXX=clang++
+ifneq (, $(shell which clang-15))
+  export CC=clang-15
+  export CXX=clang++-15
   export DEB_CPPFLAGS_MAINT_APPEND += \
     -Wno-c99-designator \
     -Wno-gnu-designator \
@@ -41,6 +41,14 @@
   MAN_COMPONENTS += debian/out/dexdump.1 debian/out/dexlist.1
   COMPONENTS += debian/out/libdexfile_external.so debian/out/libdexfile_support.so
 endif
+
+get-orig-source:
+	gbp import-orig --uscan --no-interactive --postimport="\
+		dch -b -v\$$GBP_DEBIAN_VERSION \"New upstream release \$$GBP_UPSTREAM_VERSION\"; \
+		git add debian/changelog; \
+		git commit -m\"dch: Note new upstream version \$$GBP_UPSTREAM_VERSION\""
+update: get-orig-source
+	echo Package updated to upstream version: $(shell dpkg-parsechangelog -SVersion|sed 's/-[^-]*$$//'|sed 's/^[0-9]*://')
 
 debian/out/lib%.so: debian/lib%.mk
 	dh_auto_build --buildsystem=makefile -- --file=$<
