## android-platform-art 14.0.0%2Br15

=== debian/changelog ===
android-platform-art (14.0.0+r15-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:13:46 +1100

android-platform-art (14.0.0+r15-1ubuntu1) noble; urgency=medium

  * debian/patches/fix-ftbfs-strlcpy-glibc.patch (LP: #2055399):
    Don't build the custom strlcpy function with newer glibc. Since version
    2.38, glibc has its own strlcpy.

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Thu, 29 Feb 2024 10:17:20 +0000

android-platform-art (14.0.0+r15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 14.0.0+r15

 -- Roger Shimizu <rosh@debian.org>  Sun, 12 Nov 2023 19:46:04 -0800

android-platform-art (14.0.0+r11-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/control: Add python3 to B-D.
  * debian/libart.mk: Cleanup and support riscv64.
  * debian/rules: Skip dh_strip for riscv64.

 -- Roger Shimizu <rosh@debian.org>  Tue, 07 Nov 2023 22:22:28 -0800

android-platform-art (14.0.0+r11-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release 14.0.0+r11
  * d/patches: Refresh patches.

 -- Roger Shimizu <rosh@debian.org>  Mon, 06 Nov 2023 00:23:04 -0800

android-platform-art (14~beta1-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/control and debian/rules: Use lld-15 same version as clang.

 -- Roger Shimizu <rosh@debian.org>  Sun, 05 Nov 2023 22:01:35 -0800

android-platform-art (14~beta1-1~exp3) experimental; urgency=medium

  * Team upload.
  * debian/control:
    - Remove some arches from using lld: s390x ppc64 sparc64.

 -- Roger Shimizu <rosh@debian.org>  Tue, 08 Aug 2023 21:38:11 -0700

android-platform-art (14~beta1-1~exp2) experimental; urgency=medium

  * debian/control:
    - Bump up base android lib version and add lld to B-D.
  * debian/rules: Add riscv64 support.

 -- Roger Shimizu <rosh@debian.org>  Tue, 08 Aug 2023 00:52:05 -0700

android-platform-art (14~beta1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release 14~beta1
  * debian/patches:
    - Refresh patches.
    - Add missing header patch.
  * debian/control: Add riscv64 support.
  * debian/libart.mk: Update and add riscv64 support.
  * debian/dex*.mk: Add tinyxml2 lib for linking.

 -- Roger Shimizu <rosh@debian.org>  Sat, 05 Aug 2023 12:37:21 -0700
