## android-platform-art 14.0.0+r15

=== debian/changelog ===
android-platform-art (14.0.0+r15-5ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/p/fix-ambiguous.patch: Fix FTBFS due to ambiguous FillVRegs template

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Sep 2025 10:36:47 +0200

android-platform-art (14.0.0+r15-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Roger Shimizu <rosh@debian.org>  Sun, 31 Aug 2025 00:51:21 -0700

android-platform-art (14.0.0+r15-5~exp4) experimental; urgency=medium

  * debian/dex*.mk: riscv64 needs -latomic.
  * debian/rules: Revert of skipping dh_strip for riscv64.

 -- Roger Shimizu <rosh@debian.org>  Sat, 19 Jul 2025 10:32:40 +0200

android-platform-art (14.0.0+r15-5~exp3) experimental; urgency=medium

  * debian/dex*.mk: arm64 needs -lgcc_s, and i386 needs -latomic.
  * debian/control: Add Depends: lld on riscv64.

 -- Roger Shimizu <rosh@debian.org>  Sat, 19 Jul 2025 01:00:45 +0200

android-platform-art (14.0.0+r15-5~exp2) experimental; urgency=medium

  * d/*.mk: Add -lbacktrace to libart, and cleanup other makefiles

 -- Roger Shimizu <rosh@debian.org>  Fri, 18 Jul 2025 20:51:28 +0200

android-platform-art (14.0.0+r15-5~exp1) experimental; urgency=medium

  * Team upload.
  * d/rules: Update the lib dependencies to fix FTBFS with make --shuffle=reverse
    (Closes: #1105279).

 -- Roger Shimizu <rosh@debian.org>  Sun, 13 Jul 2025 23:57:32 +0200

android-platform-art (14.0.0+r15-4ubuntu3) questing; urgency=medium

  * Add lld on riscv64 to fix a build failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 05 Jun 2025 07:34:43 +0200

android-platform-art (14.0.0+r15-4ubuntu2) questing; urgency=medium

  * Rebuild against new clang toolchain.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Jun 2025 05:22:22 +0200

android-platform-art (14.0.0+r15-4ubuntu1) questing; urgency=medium

  * d/p/fix-ambiguous.patch: Fix FTBFS due to ambiguous FillVRegs template
    specializations due to clang-20.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 03 May 2025 23:40:23 +0100

android-platform-art (14.0.0+r15-4build1) questing; urgency=medium

  * No-change rebuild for libtinyxml2-11.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 03 May 2025 16:19:59 +0000

android-platform-art (14.0.0+r15-4) unstable; urgency=medium

  [ Hans-Christoph Steiner ]
  * patch fix: 'Filter' function shadowing its own template parameter
    (Closes: #1084238)

  [ Jochen Sprickerhof ]
  * Remove myself form uploaders

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 01 Dec 2024 16:19:27 +0100

android-platform-art (14.0.0+r15-3) unstable; urgency=medium

  * Team upload.
  * d/patches: Disable base/strlcpy.h and add <algorithm> to headers
    (Closes: #1072129).

 -- Roger Shimizu <rosh@debian.org>  Fri, 20 Sep 2024 21:12:52 -0700

android-platform-art (14.0.0+r15-2) unstable; urgency=medium

  * debian/control and debian/rules:
    - Use default clang/lld version (Closes: #1061207).

 -- Roger Shimizu <rosh@debian.org>  Tue, 26 Mar 2024 00:45:16 -0700
