=== debian/tests/control ===
Test-Command: 2>&1 dmtracedump |  grep 'Turn on HTML output'
Depends: dmtracedump

Tests: dexdump-dexlist
Architecture: amd64 i386 armhf arm64
Depends: dexdump, dexlist
